Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network73.129.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
73.129.64.0
Broadcast address
73.129.95.255
First usable
73.129.64.1
Last usable
73.129.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 49814000 · Integer 1233207296 to 1233215487
Reverse DNS zones
64.129.73.in-addr.arpa
65.129.73.in-addr.arpa
66.129.73.in-addr.arpa
67.129.73.in-addr.arpa
68.129.73.in-addr.arpa
69.129.73.in-addr.arpa
70.129.73.in-addr.arpa
71.129.73.in-addr.arpa
72.129.73.in-addr.arpa
73.129.73.in-addr.arpa
74.129.73.in-addr.arpa
75.129.73.in-addr.arpa
76.129.73.in-addr.arpa
77.129.73.in-addr.arpa
78.129.73.in-addr.arpa
79.129.73.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001001.10000001.01000000.0000000073.129.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01001001.10000001.01000000.0000000073.129.64.0
Broadcast01001001.10000001.01011111.1111111173.129.95.255
Split into smaller subnets/28

73.129.64.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
173.129.64.0/2873.129.64.1 to 73.129.64.1473.129.64.1514
273.129.64.16/2873.129.64.17 to 73.129.64.3073.129.64.3114
373.129.64.32/2873.129.64.33 to 73.129.64.4673.129.64.4714
473.129.64.48/2873.129.64.49 to 73.129.64.6273.129.64.6314
573.129.64.64/2873.129.64.65 to 73.129.64.7873.129.64.7914
673.129.64.80/2873.129.64.81 to 73.129.64.9473.129.64.9514
773.129.64.96/2873.129.64.97 to 73.129.64.11073.129.64.11114
873.129.64.112/2873.129.64.113 to 73.129.64.12673.129.64.12714
973.129.64.128/2873.129.64.129 to 73.129.64.14273.129.64.14314
1073.129.64.144/2873.129.64.145 to 73.129.64.15873.129.64.15914
1173.129.64.160/2873.129.64.161 to 73.129.64.17473.129.64.17514
1273.129.64.176/2873.129.64.177 to 73.129.64.19073.129.64.19114
1373.129.64.192/2873.129.64.193 to 73.129.64.20673.129.64.20714
1473.129.64.208/2873.129.64.209 to 73.129.64.22273.129.64.22314
1573.129.64.224/2873.129.64.225 to 73.129.64.23873.129.64.23914
1673.129.64.240/2873.129.64.241 to 73.129.64.25473.129.64.25514
1773.129.65.0/2873.129.65.1 to 73.129.65.1473.129.65.1514
1873.129.65.16/2873.129.65.17 to 73.129.65.3073.129.65.3114
1973.129.65.32/2873.129.65.33 to 73.129.65.4673.129.65.4714
2073.129.65.48/2873.129.65.49 to 73.129.65.6273.129.65.6314
2173.129.65.64/2873.129.65.65 to 73.129.65.7873.129.65.7914
2273.129.65.80/2873.129.65.81 to 73.129.65.9473.129.65.9514
2373.129.65.96/2873.129.65.97 to 73.129.65.11073.129.65.11114
2473.129.65.112/2873.129.65.113 to 73.129.65.12673.129.65.12714
2573.129.65.128/2873.129.65.129 to 73.129.65.14273.129.65.14314
2673.129.65.144/2873.129.65.145 to 73.129.65.15873.129.65.15914
2773.129.65.160/2873.129.65.161 to 73.129.65.17473.129.65.17514
2873.129.65.176/2873.129.65.177 to 73.129.65.19073.129.65.19114
2973.129.65.192/2873.129.65.193 to 73.129.65.20673.129.65.20714
3073.129.65.208/2873.129.65.209 to 73.129.65.22273.129.65.22314
3173.129.65.224/2873.129.65.225 to 73.129.65.23873.129.65.23914
3273.129.65.240/2873.129.65.241 to 73.129.65.25473.129.65.25514
3373.129.66.0/2873.129.66.1 to 73.129.66.1473.129.66.1514
3473.129.66.16/2873.129.66.17 to 73.129.66.3073.129.66.3114
3573.129.66.32/2873.129.66.33 to 73.129.66.4673.129.66.4714
3673.129.66.48/2873.129.66.49 to 73.129.66.6273.129.66.6314
3773.129.66.64/2873.129.66.65 to 73.129.66.7873.129.66.7914
3873.129.66.80/2873.129.66.81 to 73.129.66.9473.129.66.9514
3973.129.66.96/2873.129.66.97 to 73.129.66.11073.129.66.11114
4073.129.66.112/2873.129.66.113 to 73.129.66.12673.129.66.12714
4173.129.66.128/2873.129.66.129 to 73.129.66.14273.129.66.14314
4273.129.66.144/2873.129.66.145 to 73.129.66.15873.129.66.15914
4373.129.66.160/2873.129.66.161 to 73.129.66.17473.129.66.17514
4473.129.66.176/2873.129.66.177 to 73.129.66.19073.129.66.19114
4573.129.66.192/2873.129.66.193 to 73.129.66.20673.129.66.20714
4673.129.66.208/2873.129.66.209 to 73.129.66.22273.129.66.22314
4773.129.66.224/2873.129.66.225 to 73.129.66.23873.129.66.23914
4873.129.66.240/2873.129.66.241 to 73.129.66.25473.129.66.25514
4973.129.67.0/2873.129.67.1 to 73.129.67.1473.129.67.1514
5073.129.67.16/2873.129.67.17 to 73.129.67.3073.129.67.3114
5173.129.67.32/2873.129.67.33 to 73.129.67.4673.129.67.4714
5273.129.67.48/2873.129.67.49 to 73.129.67.6273.129.67.6314
5373.129.67.64/2873.129.67.65 to 73.129.67.7873.129.67.7914
5473.129.67.80/2873.129.67.81 to 73.129.67.9473.129.67.9514
5573.129.67.96/2873.129.67.97 to 73.129.67.11073.129.67.11114
5673.129.67.112/2873.129.67.113 to 73.129.67.12673.129.67.12714
5773.129.67.128/2873.129.67.129 to 73.129.67.14273.129.67.14314
5873.129.67.144/2873.129.67.145 to 73.129.67.15873.129.67.15914
5973.129.67.160/2873.129.67.161 to 73.129.67.17473.129.67.17514
6073.129.67.176/2873.129.67.177 to 73.129.67.19073.129.67.19114
6173.129.67.192/2873.129.67.193 to 73.129.67.20673.129.67.20714
6273.129.67.208/2873.129.67.209 to 73.129.67.22273.129.67.22314
6373.129.67.224/2873.129.67.225 to 73.129.67.23873.129.67.23914
6473.129.67.240/2873.129.67.241 to 73.129.67.25473.129.67.25514
6573.129.68.0/2873.129.68.1 to 73.129.68.1473.129.68.1514
6673.129.68.16/2873.129.68.17 to 73.129.68.3073.129.68.3114
6773.129.68.32/2873.129.68.33 to 73.129.68.4673.129.68.4714
6873.129.68.48/2873.129.68.49 to 73.129.68.6273.129.68.6314
6973.129.68.64/2873.129.68.65 to 73.129.68.7873.129.68.7914
7073.129.68.80/2873.129.68.81 to 73.129.68.9473.129.68.9514
7173.129.68.96/2873.129.68.97 to 73.129.68.11073.129.68.11114
7273.129.68.112/2873.129.68.113 to 73.129.68.12673.129.68.12714
7373.129.68.128/2873.129.68.129 to 73.129.68.14273.129.68.14314
7473.129.68.144/2873.129.68.145 to 73.129.68.15873.129.68.15914
7573.129.68.160/2873.129.68.161 to 73.129.68.17473.129.68.17514
7673.129.68.176/2873.129.68.177 to 73.129.68.19073.129.68.19114
7773.129.68.192/2873.129.68.193 to 73.129.68.20673.129.68.20714
7873.129.68.208/2873.129.68.209 to 73.129.68.22273.129.68.22314
7973.129.68.224/2873.129.68.225 to 73.129.68.23873.129.68.23914
8073.129.68.240/2873.129.68.241 to 73.129.68.25473.129.68.25514
8173.129.69.0/2873.129.69.1 to 73.129.69.1473.129.69.1514
8273.129.69.16/2873.129.69.17 to 73.129.69.3073.129.69.3114
8373.129.69.32/2873.129.69.33 to 73.129.69.4673.129.69.4714
8473.129.69.48/2873.129.69.49 to 73.129.69.6273.129.69.6314
8573.129.69.64/2873.129.69.65 to 73.129.69.7873.129.69.7914
8673.129.69.80/2873.129.69.81 to 73.129.69.9473.129.69.9514
8773.129.69.96/2873.129.69.97 to 73.129.69.11073.129.69.11114
8873.129.69.112/2873.129.69.113 to 73.129.69.12673.129.69.12714
8973.129.69.128/2873.129.69.129 to 73.129.69.14273.129.69.14314
9073.129.69.144/2873.129.69.145 to 73.129.69.15873.129.69.15914
9173.129.69.160/2873.129.69.161 to 73.129.69.17473.129.69.17514
9273.129.69.176/2873.129.69.177 to 73.129.69.19073.129.69.19114
9373.129.69.192/2873.129.69.193 to 73.129.69.20673.129.69.20714
9473.129.69.208/2873.129.69.209 to 73.129.69.22273.129.69.22314
9573.129.69.224/2873.129.69.225 to 73.129.69.23873.129.69.23914
9673.129.69.240/2873.129.69.241 to 73.129.69.25473.129.69.25514
9773.129.70.0/2873.129.70.1 to 73.129.70.1473.129.70.1514
9873.129.70.16/2873.129.70.17 to 73.129.70.3073.129.70.3114
9973.129.70.32/2873.129.70.33 to 73.129.70.4673.129.70.4714
10073.129.70.48/2873.129.70.49 to 73.129.70.6273.129.70.6314
10173.129.70.64/2873.129.70.65 to 73.129.70.7873.129.70.7914
10273.129.70.80/2873.129.70.81 to 73.129.70.9473.129.70.9514
10373.129.70.96/2873.129.70.97 to 73.129.70.11073.129.70.11114
10473.129.70.112/2873.129.70.113 to 73.129.70.12673.129.70.12714
10573.129.70.128/2873.129.70.129 to 73.129.70.14273.129.70.14314
10673.129.70.144/2873.129.70.145 to 73.129.70.15873.129.70.15914
10773.129.70.160/2873.129.70.161 to 73.129.70.17473.129.70.17514
10873.129.70.176/2873.129.70.177 to 73.129.70.19073.129.70.19114
10973.129.70.192/2873.129.70.193 to 73.129.70.20673.129.70.20714
11073.129.70.208/2873.129.70.209 to 73.129.70.22273.129.70.22314
11173.129.70.224/2873.129.70.225 to 73.129.70.23873.129.70.23914
11273.129.70.240/2873.129.70.241 to 73.129.70.25473.129.70.25514
11373.129.71.0/2873.129.71.1 to 73.129.71.1473.129.71.1514
11473.129.71.16/2873.129.71.17 to 73.129.71.3073.129.71.3114
11573.129.71.32/2873.129.71.33 to 73.129.71.4673.129.71.4714
11673.129.71.48/2873.129.71.49 to 73.129.71.6273.129.71.6314
11773.129.71.64/2873.129.71.65 to 73.129.71.7873.129.71.7914
11873.129.71.80/2873.129.71.81 to 73.129.71.9473.129.71.9514
11973.129.71.96/2873.129.71.97 to 73.129.71.11073.129.71.11114
12073.129.71.112/2873.129.71.113 to 73.129.71.12673.129.71.12714
12173.129.71.128/2873.129.71.129 to 73.129.71.14273.129.71.14314
12273.129.71.144/2873.129.71.145 to 73.129.71.15873.129.71.15914
12373.129.71.160/2873.129.71.161 to 73.129.71.17473.129.71.17514
12473.129.71.176/2873.129.71.177 to 73.129.71.19073.129.71.19114
12573.129.71.192/2873.129.71.193 to 73.129.71.20673.129.71.20714
12673.129.71.208/2873.129.71.209 to 73.129.71.22273.129.71.22314
12773.129.71.224/2873.129.71.225 to 73.129.71.23873.129.71.23914
12873.129.71.240/2873.129.71.241 to 73.129.71.25473.129.71.25514
12973.129.72.0/2873.129.72.1 to 73.129.72.1473.129.72.1514
13073.129.72.16/2873.129.72.17 to 73.129.72.3073.129.72.3114
13173.129.72.32/2873.129.72.33 to 73.129.72.4673.129.72.4714
13273.129.72.48/2873.129.72.49 to 73.129.72.6273.129.72.6314
13373.129.72.64/2873.129.72.65 to 73.129.72.7873.129.72.7914
13473.129.72.80/2873.129.72.81 to 73.129.72.9473.129.72.9514
13573.129.72.96/2873.129.72.97 to 73.129.72.11073.129.72.11114
13673.129.72.112/2873.129.72.113 to 73.129.72.12673.129.72.12714
13773.129.72.128/2873.129.72.129 to 73.129.72.14273.129.72.14314
13873.129.72.144/2873.129.72.145 to 73.129.72.15873.129.72.15914
13973.129.72.160/2873.129.72.161 to 73.129.72.17473.129.72.17514
14073.129.72.176/2873.129.72.177 to 73.129.72.19073.129.72.19114
14173.129.72.192/2873.129.72.193 to 73.129.72.20673.129.72.20714
14273.129.72.208/2873.129.72.209 to 73.129.72.22273.129.72.22314
14373.129.72.224/2873.129.72.225 to 73.129.72.23873.129.72.23914
14473.129.72.240/2873.129.72.241 to 73.129.72.25473.129.72.25514
14573.129.73.0/2873.129.73.1 to 73.129.73.1473.129.73.1514
14673.129.73.16/2873.129.73.17 to 73.129.73.3073.129.73.3114
14773.129.73.32/2873.129.73.33 to 73.129.73.4673.129.73.4714
14873.129.73.48/2873.129.73.49 to 73.129.73.6273.129.73.6314
14973.129.73.64/2873.129.73.65 to 73.129.73.7873.129.73.7914
15073.129.73.80/2873.129.73.81 to 73.129.73.9473.129.73.9514
15173.129.73.96/2873.129.73.97 to 73.129.73.11073.129.73.11114
15273.129.73.112/2873.129.73.113 to 73.129.73.12673.129.73.12714
15373.129.73.128/2873.129.73.129 to 73.129.73.14273.129.73.14314
15473.129.73.144/2873.129.73.145 to 73.129.73.15873.129.73.15914
15573.129.73.160/2873.129.73.161 to 73.129.73.17473.129.73.17514
15673.129.73.176/2873.129.73.177 to 73.129.73.19073.129.73.19114
15773.129.73.192/2873.129.73.193 to 73.129.73.20673.129.73.20714
15873.129.73.208/2873.129.73.209 to 73.129.73.22273.129.73.22314
15973.129.73.224/2873.129.73.225 to 73.129.73.23873.129.73.23914
16073.129.73.240/2873.129.73.241 to 73.129.73.25473.129.73.25514
16173.129.74.0/2873.129.74.1 to 73.129.74.1473.129.74.1514
16273.129.74.16/2873.129.74.17 to 73.129.74.3073.129.74.3114
16373.129.74.32/2873.129.74.33 to 73.129.74.4673.129.74.4714
16473.129.74.48/2873.129.74.49 to 73.129.74.6273.129.74.6314
16573.129.74.64/2873.129.74.65 to 73.129.74.7873.129.74.7914
16673.129.74.80/2873.129.74.81 to 73.129.74.9473.129.74.9514
16773.129.74.96/2873.129.74.97 to 73.129.74.11073.129.74.11114
16873.129.74.112/2873.129.74.113 to 73.129.74.12673.129.74.12714
16973.129.74.128/2873.129.74.129 to 73.129.74.14273.129.74.14314
17073.129.74.144/2873.129.74.145 to 73.129.74.15873.129.74.15914
17173.129.74.160/2873.129.74.161 to 73.129.74.17473.129.74.17514
17273.129.74.176/2873.129.74.177 to 73.129.74.19073.129.74.19114
17373.129.74.192/2873.129.74.193 to 73.129.74.20673.129.74.20714
17473.129.74.208/2873.129.74.209 to 73.129.74.22273.129.74.22314
17573.129.74.224/2873.129.74.225 to 73.129.74.23873.129.74.23914
17673.129.74.240/2873.129.74.241 to 73.129.74.25473.129.74.25514
17773.129.75.0/2873.129.75.1 to 73.129.75.1473.129.75.1514
17873.129.75.16/2873.129.75.17 to 73.129.75.3073.129.75.3114
17973.129.75.32/2873.129.75.33 to 73.129.75.4673.129.75.4714
18073.129.75.48/2873.129.75.49 to 73.129.75.6273.129.75.6314
18173.129.75.64/2873.129.75.65 to 73.129.75.7873.129.75.7914
18273.129.75.80/2873.129.75.81 to 73.129.75.9473.129.75.9514
18373.129.75.96/2873.129.75.97 to 73.129.75.11073.129.75.11114
18473.129.75.112/2873.129.75.113 to 73.129.75.12673.129.75.12714
18573.129.75.128/2873.129.75.129 to 73.129.75.14273.129.75.14314
18673.129.75.144/2873.129.75.145 to 73.129.75.15873.129.75.15914
18773.129.75.160/2873.129.75.161 to 73.129.75.17473.129.75.17514
18873.129.75.176/2873.129.75.177 to 73.129.75.19073.129.75.19114
18973.129.75.192/2873.129.75.193 to 73.129.75.20673.129.75.20714
19073.129.75.208/2873.129.75.209 to 73.129.75.22273.129.75.22314
19173.129.75.224/2873.129.75.225 to 73.129.75.23873.129.75.23914
19273.129.75.240/2873.129.75.241 to 73.129.75.25473.129.75.25514
19373.129.76.0/2873.129.76.1 to 73.129.76.1473.129.76.1514
19473.129.76.16/2873.129.76.17 to 73.129.76.3073.129.76.3114
19573.129.76.32/2873.129.76.33 to 73.129.76.4673.129.76.4714
19673.129.76.48/2873.129.76.49 to 73.129.76.6273.129.76.6314
19773.129.76.64/2873.129.76.65 to 73.129.76.7873.129.76.7914
19873.129.76.80/2873.129.76.81 to 73.129.76.9473.129.76.9514
19973.129.76.96/2873.129.76.97 to 73.129.76.11073.129.76.11114
20073.129.76.112/2873.129.76.113 to 73.129.76.12673.129.76.12714
20173.129.76.128/2873.129.76.129 to 73.129.76.14273.129.76.14314
20273.129.76.144/2873.129.76.145 to 73.129.76.15873.129.76.15914
20373.129.76.160/2873.129.76.161 to 73.129.76.17473.129.76.17514
20473.129.76.176/2873.129.76.177 to 73.129.76.19073.129.76.19114
20573.129.76.192/2873.129.76.193 to 73.129.76.20673.129.76.20714
20673.129.76.208/2873.129.76.209 to 73.129.76.22273.129.76.22314
20773.129.76.224/2873.129.76.225 to 73.129.76.23873.129.76.23914
20873.129.76.240/2873.129.76.241 to 73.129.76.25473.129.76.25514
20973.129.77.0/2873.129.77.1 to 73.129.77.1473.129.77.1514
21073.129.77.16/2873.129.77.17 to 73.129.77.3073.129.77.3114
21173.129.77.32/2873.129.77.33 to 73.129.77.4673.129.77.4714
21273.129.77.48/2873.129.77.49 to 73.129.77.6273.129.77.6314
21373.129.77.64/2873.129.77.65 to 73.129.77.7873.129.77.7914
21473.129.77.80/2873.129.77.81 to 73.129.77.9473.129.77.9514
21573.129.77.96/2873.129.77.97 to 73.129.77.11073.129.77.11114
21673.129.77.112/2873.129.77.113 to 73.129.77.12673.129.77.12714
21773.129.77.128/2873.129.77.129 to 73.129.77.14273.129.77.14314
21873.129.77.144/2873.129.77.145 to 73.129.77.15873.129.77.15914
21973.129.77.160/2873.129.77.161 to 73.129.77.17473.129.77.17514
22073.129.77.176/2873.129.77.177 to 73.129.77.19073.129.77.19114
22173.129.77.192/2873.129.77.193 to 73.129.77.20673.129.77.20714
22273.129.77.208/2873.129.77.209 to 73.129.77.22273.129.77.22314
22373.129.77.224/2873.129.77.225 to 73.129.77.23873.129.77.23914
22473.129.77.240/2873.129.77.241 to 73.129.77.25473.129.77.25514
22573.129.78.0/2873.129.78.1 to 73.129.78.1473.129.78.1514
22673.129.78.16/2873.129.78.17 to 73.129.78.3073.129.78.3114
22773.129.78.32/2873.129.78.33 to 73.129.78.4673.129.78.4714
22873.129.78.48/2873.129.78.49 to 73.129.78.6273.129.78.6314
22973.129.78.64/2873.129.78.65 to 73.129.78.7873.129.78.7914
23073.129.78.80/2873.129.78.81 to 73.129.78.9473.129.78.9514
23173.129.78.96/2873.129.78.97 to 73.129.78.11073.129.78.11114
23273.129.78.112/2873.129.78.113 to 73.129.78.12673.129.78.12714
23373.129.78.128/2873.129.78.129 to 73.129.78.14273.129.78.14314
23473.129.78.144/2873.129.78.145 to 73.129.78.15873.129.78.15914
23573.129.78.160/2873.129.78.161 to 73.129.78.17473.129.78.17514
23673.129.78.176/2873.129.78.177 to 73.129.78.19073.129.78.19114
23773.129.78.192/2873.129.78.193 to 73.129.78.20673.129.78.20714
23873.129.78.208/2873.129.78.209 to 73.129.78.22273.129.78.22314
23973.129.78.224/2873.129.78.225 to 73.129.78.23873.129.78.23914
24073.129.78.240/2873.129.78.241 to 73.129.78.25473.129.78.25514
24173.129.79.0/2873.129.79.1 to 73.129.79.1473.129.79.1514
24273.129.79.16/2873.129.79.17 to 73.129.79.3073.129.79.3114
24373.129.79.32/2873.129.79.33 to 73.129.79.4673.129.79.4714
24473.129.79.48/2873.129.79.49 to 73.129.79.6273.129.79.6314
24573.129.79.64/2873.129.79.65 to 73.129.79.7873.129.79.7914
24673.129.79.80/2873.129.79.81 to 73.129.79.9473.129.79.9514
24773.129.79.96/2873.129.79.97 to 73.129.79.11073.129.79.11114
24873.129.79.112/2873.129.79.113 to 73.129.79.12673.129.79.12714
24973.129.79.128/2873.129.79.129 to 73.129.79.14273.129.79.14314
25073.129.79.144/2873.129.79.145 to 73.129.79.15873.129.79.15914
25173.129.79.160/2873.129.79.161 to 73.129.79.17473.129.79.17514
25273.129.79.176/2873.129.79.177 to 73.129.79.19073.129.79.19114
25373.129.79.192/2873.129.79.193 to 73.129.79.20673.129.79.20714
25473.129.79.208/2873.129.79.209 to 73.129.79.22273.129.79.22314
25573.129.79.224/2873.129.79.225 to 73.129.79.23873.129.79.23914
25673.129.79.240/2873.129.79.241 to 73.129.79.25473.129.79.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses